# OgreGLATIFSInit.h File Reference

`#include "OgreGLSupport.h"`

Go to the source code of this file.

## Functions

bool | InitATIFragmentShaderExtensions (Ogre::GLSupport &glSupport)

## Variables

PFNGLGENFRAGMENTSHADERSATIPROC | glGenFragmentShadersATI_ptr
PFNGLBINDFRAGMENTSHADERATIPROC | glBindFragmentShaderATI_ptr
PFNGLDELETEFRAGMENTSHADERATIPROC | glDeleteFragmentShaderATI_ptr
PFNGLBEGINFRAGMENTSHADERATIPROC | glBeginFragmentShaderATI_ptr
PFNGLENDFRAGMENTSHADERATIPROC | glEndFragmentShaderATI_ptr
PFNGLPASSTEXCOORDATIPROC | glPassTexCoordATI_ptr
PFNGLSAMPLEMAPATIPROC | glSampleMapATI_ptr
PFNGLCOLORFRAGMENTOP1ATIPROC | glColorFragmentOp1ATI_ptr
PFNGLCOLORFRAGMENTOP2ATIPROC | glColorFragmentOp2ATI_ptr
PFNGLCOLORFRAGMENTOP3ATIPROC | glColorFragmentOp3ATI_ptr
PFNGLALPHAFRAGMENTOP1ATIPROC | glAlphaFragmentOp1ATI_ptr
PFNGLALPHAFRAGMENTOP2ATIPROC | glAlphaFragmentOp2ATI_ptr
PFNGLALPHAFRAGMENTOP3ATIPROC | glAlphaFragmentOp3ATI_ptr
PFNGLSETFRAGMENTSHADERCONSTANTATIPROC | glSetFragmentShaderConstantATI_ptr

## Function Documentation

bool InitATIFragmentShaderExtensions | ( | Ogre::GLSupport & | glSupport | ) |

## Variable Documentation

PFNGLALPHAFRAGMENTOP1ATIPROC glAlphaFragmentOp1ATI_ptr

| Definition at line 33 of file OgreGLATIFSInit.h.

PFNGLALPHAFRAGMENTOP2ATIPROC glAlphaFragmentOp2ATI_ptr

| Definition at line 34 of file OgreGLATIFSInit.h.

PFNGLALPHAFRAGMENTOP3ATIPROC glAlphaFragmentOp3ATI_ptr

| Definition at line 35 of file OgreGLATIFSInit.h.

PFNGLBEGINFRAGMENTSHADERATIPROC glBeginFragmentShaderATI_ptr

| Definition at line 26 of file OgreGLATIFSInit.h.

PFNGLBINDFRAGMENTSHADERATIPROC glBindFragmentShaderATI_ptr

| Definition at line 24 of file OgreGLATIFSInit.h.

PFNGLCOLORFRAGMENTOP1ATIPROC glColorFragmentOp1ATI_ptr

| Definition at line 30 of file OgreGLATIFSInit.h.

PFNGLCOLORFRAGMENTOP2ATIPROC glColorFragmentOp2ATI_ptr

| Definition at line 31 of file OgreGLATIFSInit.h.

PFNGLCOLORFRAGMENTOP3ATIPROC glColorFragmentOp3ATI_ptr

| Definition at line 32 of file OgreGLATIFSInit.h.

PFNGLDELETEFRAGMENTSHADERATIPROC glDeleteFragmentShaderATI_ptr

| Definition at line 25 of file OgreGLATIFSInit.h.

PFNGLENDFRAGMENTSHADERATIPROC glEndFragmentShaderATI_ptr

| Definition at line 27 of file OgreGLATIFSInit.h.

PFNGLGENFRAGMENTSHADERSATIPROC glGenFragmentShadersATI_ptr

| Definition at line 23 of file OgreGLATIFSInit.h.

PFNGLPASSTEXCOORDATIPROC glPassTexCoordATI_ptr

| Definition at line 28 of file OgreGLATIFSInit.h.

PFNGLSAMPLEMAPATIPROC glSampleMapATI_ptr

| Definition at line 29 of file OgreGLATIFSInit.h.

PFNGLSETFRAGMENTSHADERCONSTANTATIPROC glSetFragmentShaderConstantATI_ptr

| Definition at line 36 of file OgreGLATIFSInit.h.

Copyright © 2000-2005 by The OGRE Team
Last modified Sun Nov 20 12:36:10 2005